<?php
/**
 * Scholarship School: Block Patterns
 *
 * @since Scholarship School 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Scholarship School 1.0
 *
 * @return void
 */
function scholarship_school_register_block_patterns() {
	$scholarship_school_block_pattern_categories = array(
		'scholarship-school'    => array( 'label' => __( 'Scholarship School', 'scholarship-school' ) ),
	);

	$scholarship_school_block_pattern_categories = apply_filters( 'scholarship_school_block_pattern_categories', $scholarship_school_block_pattern_categories );

	foreach ( $scholarship_school_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'scholarship_school_register_block_patterns', 9 );
